
body {
  background: url('https://domokunlover.github.io/godzilla-theme/graphics/bgs/godzilla.png') no-repeat;
  background-size: 100% 100%;
  background-position: center center;
  min-height: 100vh;
  width: 100vw;
  background-attachment: fixed;
}




main {
  background-color: black;
  color: white;
  border: 1px solid white;
  width: 45%;
  height: max-content;
  position: relative;
  top: 150px;
  left: 50px;
  box-shadow: 10px 10px 0 black;
  margin-bottom: 100px;
}


header {
  font-family: 'Nowhare';
  position: absolute;
  font-size: 50px;
  z-index: 2;
  color: black;
  text-shadow: none;

  top: 100px;
  left: 80px;
  height: 150px;
}
header .dup {
  position: relative;
  z-index: 1;
  color: red;
  text-shadow: var(--white-txt-shad-thin);
  font-family: 'Nowhare';

  top: -110px;
  left: 0px;
}
header a {
  text-decoration: none;
  color: inherit;
  height: 150px;
}
header .head-gif {
  background-image: url('https://domokunlover.github.io/godzilla-theme/graphics/masks/header-gif.gif');
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.headermask {
  width: 100%;
  height: 100%;
  position: relative;
  -webkit-mask-image: url('https://domokunlover.github.io/godzilla-theme/graphics/masks/mask-1.png');
  -webkit-mask-size: 250%;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-image: url('https://domokunlover.github.io/godzilla-theme/graphics/masks/mask-1.png');
  mask-size: 250%;
  mask-repeat: no-repeat;
  mask-position: center;
} 


nav {
  border: 1px solid white;
  border-left: none;
  border-right: none;
  font-family: 'YuGothic';

  display: flex;
  flex-direction: row;
  padding: 4px;
  gap: 10px;
  position: relative;
  z-index: 10;
}
nav a {
  color: white;
  text-decoration: none;
  font-size: 16px;
  position: relative;
  z-index: 1;
  display: inline-block;
  padding: 2px 4px;
}
nav a::before {
  transform: scaleX(0);
  transform-origin: bottom right;
}
nav a:hover::before {
  transform: scaleX(1);
  transform-origin: bottom left;
}
nav a::before {
  content: " ";
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  inset: 0 0 0 0;
  border: 1px solid white;
  z-index: -1;
  transition: transform .5s ease;
}
nav .dropdown {
  position: relative;
  display: inline-block;
}
nav .dropdown-content {
  display: none;
  position: absolute;
  background-color: black;
  min-width: 150px;
  max-width: 300px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  border: 1px solid white;
}
nav .dropdown-content a {
  color: inherit;
  padding: 2px 4px;
  text-decoration: none;
  display: block;
}
nav .dropdown:hover .dropdown-content {
  display: block;
}
.headertxt,
.dup {
  font-family: 'Nowhare';
}
nav .dropdown-content s {
  text-decoration-color: lightgray;
  color: gray;
  cursor: var(--not-allowed-cur), not-allowed;
}



main #main-content {
  width: 100%;
  height: max-content;
  min-height: 100px;
  color: white;
}



.nendoroid {
  width: 250px;
  position: absolute;
  z-index: 10;
  left: 700px;
  top: 20px;
  filter:drop-shadow(0 0 3px white);  
}

.chainsaw {
  width: 300px;
  transform: rotate(10deg);
  position: absolute;
  z-index: 9;
  left: 570px;
  top: 130px;
  filter:drop-shadow(0 0 3px white);  
}

.bloodsplat {
  z-index: 1;
  top: 150px;
  left: 570px;
  position: absolute;
  width: 400px;
  transform: rotate(-7deg);
  filter:drop-shadow(0 0 3px white);  
}

.godzillatxt {
  position: absolute;
  top: 30px;
  left: 31%;
}
.speech-bubble {
	position: relative;
	background: white;
  height: 80px;
  width: 150px;
}

.speech-bubble:after {
	content: '';
	position: absolute;
	bottom: 0;
	left: 50%;
	width: 0;
	height: 0;
	border: 24px solid transparent;
	border-top-color: white;
	border-bottom: 0;
	border-right: 0;
	margin-left: 42px;
	margin-bottom: -24px;
}

.speech-bubble img {
  height: 100%;
  display: block;
  margin: 0 auto;
}



footer {
  font-family: 'YuGothic';
  font-size: 13px;
  padding: 5px 8px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

footer a:hover {
  text-shadow: none;
  color: white !important;
  text-shadow: 0 0 5px white;
}

footer span {
  color: gray;
  font-size: 11px;
}


.construction {
  width: 100%;
  border: 1px solid white;
  text-align: center;
  padding: 5px 10px;
  font-family: 'Nowhare';
  color: black;
  font-size: 20px;
  letter-spacing: 4.5px;
  text-shadow: var(--white-txt-shad-thin);

  --color1: red;
  --color2: darkred;
  
  background: repeating-linear-gradient(
  45deg,
  var(--color1),
  var(--color1) 30px,
  var(--color2) 30px,
  var(--color2) 60px
  );

  animation: 40s linear 0s infinite construction;
}
 
@keyframes construction {
from {
background-position: 0px;
}
to {
background-position: 1000px;
}
}